<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VectorIterator&lt; T &gt; Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#b17e7dc128e0f8defbd3712a8038d0ce">getNext</a>(void)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#89872008323d6eede5caa318ba34cf0c">hasMoreElements</a>(void) const </td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#35683691f5969d37ec00039b9a2b72c9">mCurrent</a></td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#0238225602f086e6b7e6f344393b7669">mEnd</a></td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#1b2eb5764eb351df14327a606bba7b77">moveNext</a>(void)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#a8bd2e59c3e1054d383a67103c035156">peekNext</a>(void)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#aff9d00d8737143b269f7e4a34fb0611">peekNextPtr</a>(void)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#bbdea7d191a40c6469278b47d5830c07">ValueType</a> typedef</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#23b10f0e911c20a961947760610779fb">VectorIterator</a>()</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#910367f77a8f63b5c3063caa4f19f89f">VectorIterator</a>(typename T::iterator start, typename T::iterator end)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VectorIterator.html#b2f1a9935f5bb1e67948f7de03223ca4">VectorIterator</a>(T &amp;c)</td><td><a class="el" href="classOgre_1_1VectorIterator.html">Ogre::VectorIterator&lt; T &gt;</a></td><td><code> [explicit]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:12 2008
</p>
</body>
</html>
